@media (max-width: 767px) {

	.navigation-wrapper li a {
		font-size: 20px !important;
		line-height: 1.5em;
	}

}

@media (max-width: 1199px) {

	/*
	--------------------------------------
	Container
	--------------------------------------
	*/
	.navigation-wrapper {
		position: fixed;
		z-index: 5;
		top: -41px;
		bottom: 0;
		width: 100%;
		right: 0;
		pointer-events: none;
	}

	.navigation-wrapper .navigation-container {
		position: relative;
		background-color: var(--e-global-color-secondary);
		transform: translate3d(-100%, 0, 0);
		transition: all 0.3s ease-in-out;
		width: 100%;
		max-width: 320px;
		height: 100vh;
		margin: 0;
		list-style-type: none;
	}

	.navigation-wrapper.--is-active .navigation-container {
		transform: translate3d(0, 0, 0);
		pointer-events: all;
	}

	/*
	--------------------------------------
	Burger
	--------------------------------------
	*/
	.burger {
		color: #fff;
		width: 40px;
		margin: auto;
	}

	.home .burger {
		color: #fff;
	}

	.home .main-header__container--is-fixed .burger {
		color: var(--e-global-color-primary);
	}

	/*
	--------------------------------------
	Close
	--------------------------------------
	*/
	.close {
		display: flex;
		justify-content: flex-end;
		color: #fff;
		padding: 1em 1em 2em 2em;
	}

	/*
	--------------------------------------
	Overlay
	--------------------------------------
	*/
	.overlay {
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		height: 100vh;
		width: 0;
		background: rgba(13, 15, 24, .3);
		transition: all 0.3s ease-in-out;
	}

	.navigation-wrapper.--is-active .overlay {
		width: 100%;
		pointer-events: all;
	}

	/*
	--------------------------------------
	Menu
	--------------------------------------
	*/
	/*Parent*/
	.navigation-container .menu {
		flex-direction: column;
	}

	.navigation-wrapper li {
		position: relative;
		margin-bottom: 10px;
	}

	.navigation-wrapper li a {
		display: inline-block;
		text-decoration: none;
	}

	.navigation-wrapper .menu-link {
		font-weight: 600;
		color: var(--e-global-color-primary);
	}

	.navigation-container li.menu-item-has-children:after {
		position: absolute;
		z-index: 10;
		right: 20px;
		top: 0.5em;
		border-bottom: 2px solid var(--e-global-color-primary);
		border-right: 2px solid var(--e-global-color-primary);
	}

	.navigation-container li.menu-item-has-children--active:after {
		transform: rotate(225deg);
	}

	.navigation-actions-list li a {
		display: flex;
		align-items: center;
	}

	.navigation-container li.menu-item-has-children a {
		display: flex;
		justify-content: space-between;
		align-items: center;
		width: 100%;
	}

	.navigation-actions-list li:nth-child(n+5) a span {
		margin-left: 0.5em;
	}

	.main-header__container--is-fixed .navigation-container li.menu-item-has-children > .menu-link:after {
		border-bottom: 2px solid #fff;
		border-right: 2px solid #fff;
	}

	/*Submenu*/
	.ast-header-break-point .dropdown-menu-toggle {
		display: block;
	}

	.sub-menu {
		flex-direction: column;
		opacity: 0;
		visibility: hidden;
		pointer-events: none;
		transition: all 350ms ease-in-out;
		height: 0;
		margin-left: 50px;
	}

	.sub-menu--active {
		opacity: 1;
		visibility: visible;
		height: 100%;
		pointer-events: all;
		padding-top: .55em;
	}

	.navigation-wrapper .sub-menu li {
		padding: 0;
		margin-bottom: 0;
	}

	.navigation-container .sub-menu .menu-link {
		font-size: 18px !important;
		color: rgba(255, 255, 255, 0.75);
	}

}

@media (min-width: 1200px) {

	/*
	--------------------------------------
	Menu
	--------------------------------------
	*/
	/*Parent*/
	.navigation-wrapper {
		display: flex;
		justify-content: flex-end;
		width: 100%;
	}

	/*commenter le position: relative si on souhaite que le sous-menu ne prenne pas toute la largeur du parent*/
	.navigation-wrapper ul {
		/*position: relative;*/
		display: flex;
		justify-content: center;
		padding: 0 1em;
	}

	/*décommenter le position: relative si on souhaite que le sous-menu s'affiche en dessous du menu parent*/
	.navigation-container li {
		position: relative;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	.navigation-container .menu > .menu-item {
		justify-content: center;
	}

	/*body:not(.home) .navigation-wrapper .menu-item--parent > .menu-link,*/
	/*.main-header__container--is-fixed .navigation-wrapper .menu-link {*/
	/*	color: #000;*/
	/*}*/

	.navigation-wrapper .menu-link {
		font-size: calc(13.5px + (15 - 13.5) * ((100vw - 1200px) / (1920 - 1200)));
		padding: calc(5px + (10 - 5) * ((100vw - 1200px) / (1920 - 1200))) calc(5px + (22 - 5) * ((100vw - 1200px) / (1920 - 1200)));
	}

	.navigation-wrapper .menu-link:hover {
		border-bottom: 1px solid currentColor;
	}

	/*Submenu*/
	.navigation-container li .sub-menu {
		position: absolute;
		z-index: 10;
		top: 100%;
		left: 0;
		flex-direction: column;
		opacity: 0;
		background: transparent;
		pointer-events: none;
		border-top: 2px solid var(--e-global-color-primary);
		line-height: 1.25em;
		transition: all 0.35s ease-in-out;
		width: 100%;
		margin-left: 0;
	}

	.navigation-container li .sub-menu:after {
		content: "";
		position: absolute;
		z-index: 10;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: #fff;
	}

	.navigation-container li:hover .sub-menu {
		opacity: 1;
		pointer-events: all;
	}

	.navigation-container .sub-menu .menu-item--all-products {
		display: none;
	}

	/*
	--------------------------------------
	Elements
	--------------------------------------
	*/
	.navigation-actions-container,
	.close,
	.burger-container,
	.navigation-actions-container {
		display: none;
	}

	/*
	--------------------------------------
	White menu link
	--------------------------------------
	*/

	.has-white-menu-link .navigation-wrapper .menu-link:focus,
	.has-white-menu-link .navigation-wrapper .menu-link:hover {
		background: #F2F2F2;
		color: #000;
	}

	.has-white-menu-link .navigation-wrapper .sub-menu .menu-link:focus,
	.has-white-menu-link .navigation-wrapper .sub-menu .menu-link:hover {
		background: #fff;
		color: #000;
	}

}